#!/bin/bash -f
#SBATCH -n 24
#SBATCH -t 01:30:00
#SBATCH -J bueler_f_MUMPS
#SBATCH -o bueler_f_MUMPS.%j
#SBATCH -e bueler_f_MUMPS.%j
#SBATCH --mem-per-cpu=2000 ### 4000
##SBATCH -p test
#SBATCH --constraint=hsw
#SBATCH -p serial
##SBATCH -p parallel
##SBATCH -p hugemem
##SBATCH --ntasks-per-node=1
cd /wrk/zwinger/ParStokesBueler
module load elmer-env/latest
#module load elmer-env/cpardiso
# alternatively
# module load elmer-env/release
echo "checking modules and executable:"
module list
which ElmerSolver
elmerf90 buelerprofile.f90 -o buelerprofile.so
echo "starting the simulation"
#echo  emergencevelocity_parstokes.sif > ELMERSOLVER_STARTINFO
echo  emergencevelocity_navstokes.sif > ELMERSOLVER_STARTINFO
srun ElmerSolver
echo "done"




